PostgreSQL 10 beta sur Ubuntu

Installation de PostgreSQL sur les différentes distributions Linux avec apt-get (Debian & distributions similaires), yum (Red Hat & distributions similaires) etc.
Répondre
jpcarayo
Messages : 5
Enregistré le : ven. 11 août 2017 19:58

PostgreSQL 10 beta sur Ubuntu

Message par jpcarayo » jeu. 7 sept. 2017 00:59

Bonjour,

J'ai l'impression que la version 10 (beta) de PostgreSQL n'est pas disponible sur Ubuntu.
Voir : https://wiki.postgresql.org/wiki/Apt/FA ... _snapshots
" The packages are available for amd64 only, for the following distributions: sid-pgdg-testing, jessie-pgdg-testing, xenial-pgdg-testing, and trusty-pgdg-testing."
Ai-je raison ?

Merci.
Bien cordialement,
jean-Pierre

jpcarayo
Messages : 5
Enregistré le : ven. 11 août 2017 19:58

Re: PostgreSQL 10 beta sur Ubuntu

Message par jpcarayo » jeu. 7 sept. 2017 20:23

J'ai essayé de définir PGDG comme suit :

shell: echo "deb {{ postgresql_repo }} zesty-pgdg-testing main 10" >> /etc/apt/sources.list ; \
echo "{{ debian_10_pgdg_pref }}" > /etc/apt/preferences.d/pgdg.pref ;\
apt-get -y install wget ca-certificates ; \
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | apt-key add - ; \
apt-get -y update

avec

postgresql_repo: http://apt.postgresql.org/pub/repos/apt
et
debian_10_pgdg_pref:
"Package: * \n
Pin: release o=apt.postgresql.org \n
Pin-Priority: 1000

mais l'apt-get des paquets postgreSQL (client, serveur, contrib et plpython) ne passe pas ....

failed: [172.17.125.85] (item=postgresql10-contrib) => {"failed": true, "item": "postgresql10-contrib", "msg": "No package matching 'postgresql10-contrib' is available"}
failed: [172.17.125.85] (item=postgresql-plpython-10) => {"cache_update_time": 1504806667, "cache_updated": false, "failed": true, "item": "postgresql-plpython-10", "msg": "'/usr/bin/apt-get -y -o \"Dpkg::Options::=--force-confdef\" -o \"Dpkg::Options::=--force-confold\" install 'postgresql-plpython-10'' failed: E: Unable to correct problems, you have held broken packages.\n", "rc": 100, "stderr": "E: Unable to correct problems, you have held broken packages.\n", "stderr_lines": ["E: Unable to correct problems, you have held broken packages."], "stdout": "Reading package lists...\nBuilding dependency tree...\nReading state information...\nSome packages could not be installed. This may mean that you have\nrequested an impossible situation or if you are using the unstable\ndistribution that some required packages have not yet been created\nor been moved out of Incoming.\nThe following information may help to resolve the situation:\n\nThe following packages have unmet dependencies:\n postgresql-plpython-10 : Depends: postgresql-10 (= 10~beta4-1.pgdg17.04+1) but it is not going to be installed\n", "stdout_lines": ["Reading package lists...", "Building dependency tree...", "Reading state information...", "Some packages could not be installed. This may mean that you have", "requested an impossible situation or if you are using the unstable", "distribution that some required packages have not yet been created", "or been moved out of Incoming.", "The following information may help to resolve the situation:", "", "The following packages have unmet dependencies:", " postgresql-plpython-10 : Depends: postgresql-10 (= 10~beta4-1.pgdg17.04+1) but it is not going to be installed"]}


Si vous avez une idée ... ;)

Merci.
Bien cordialement,
Jean-Pierre

jpcarayo
Messages : 5
Enregistré le : ven. 11 août 2017 19:58

Re: PostgreSQL 10 beta sur Ubuntu

Message par jpcarayo » ven. 8 sept. 2017 00:55

La solution: RTFM ...

Du coup,
shell: echo "deb {{ postgresql_repo }} zesty-pgdg main 10" > /etc/apt/sources.list.d/pgdg.list ; \
echo "deb {{ postgresql_repo }} zesty-pgdg-testing main 10" >> /etc/apt/sources.list ; \
echo "{{ debian_10_pgdg_pref }}" > /etc/apt/preferences.d/pgdg.pref ;\
apt-get -y install wget ca-certificates ; \
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | apt-key add - ; \
apt-get -y update ; \

Il faut utiliser aussi les bons noms de paquets pour Ubuntu :
postgresql-client-10
postgresql-10
postgresql-contrib-10
postgresql-plpython-10

Donc, vous pouvez retourner à vos occupations et me laisser méditer sur le RTFM...

BIen cordialement,
Jean-Pierre

Phil
Administrateur du site
Messages : 78
Enregistré le : mar. 1 sept. 2015 00:38
Localisation : France
Contact :

Re: PostgreSQL 10 beta sur Ubuntu

Message par Phil » ven. 8 sept. 2017 11:37

Bonjour Jean-Pierre,
Oui cela se passe sur Ubuntu comme sur Debian mais en utilisant le "friendly name" de la version d'Ubuntu.
Pour la 10 beta suivre ce qui est indiqué ici : http://pgphil.ovh/debian_9_10_devel.php en remplaçant sid-pgdg-testing par xenial-pgdg-testing pour une 16.04 LTS par exemple. Pour de la prod, sur sa station de travail et même pour des tests autant n'utiliser que les versions LTS.
A noter que l'avertissement "vous aurez sans doute à recréer un cluster avec "pg_dropcluster 10 main" puis "pg_createcluster 10 main" avant de reprendre vos expérimentations" était valable pour la version devel, il ne s'applique normalement plus depuis que PostgreSQL 10 est en beta.
Cdlt. Phil - pgphil.ovh

Répondre